Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.imageviewer
Interface DrawingCanvas

All Known Implementing Classes:
  CompositeCanvas2D, CompositeCanvasJAI

public interface DrawingCanvas

Specifies methods for drawing graphics objects over an image drawn on a component.

Version:
  1.0 4 April 2000
Author:
  Larry Rodrigues

Method Summary
`void` | `addMouseListener(java.awt.event.MouseListener ml)`
`void` | `addMouseMotionListener(java.awt.event.MouseMotionListener ml)`
`void` | `eraseShapes()`
`java.awt.Graphics2D` | `getDisplayedImageGC()` Use this method to check out the graphics context.
`java.awt.geom.AffineTransform` | `getTransform()` Use this method to check out the current transformation.
`void` | `removeMouseListener(java.awt.event.MouseListener ml)`
`void` | `removeMouseMotionListener(java.awt.event.MouseMotionListener ml)`
`void` | `repaint()` Repaints the graphical objects.
`void` | `reset()` Resets the canvas
`void` | `setTransform(java.awt.geom.AffineTransform atx)` Use this method to check in the current transformation.

Method Detail

### getDisplayedImageGC

    public java.awt.Graphics2D getDisplayedImageGC()

  Use this method to check out the graphics context.
  Returns:
    the graphics context on which the image drawn. Graphics objects are drawn on this context.

### getTransform

    public java.awt.geom.AffineTransform getTransform()

  Use this method to check out the current transformation.
  Returns:
    the current transformation of the image canvas.

### setTransform

    public void setTransform(java.awt.geom.AffineTransform atx)

  Use this method to check in the current transformation.
  Parameters:
    `atx` - the current transformation of the image canvas.

### eraseShapes

    public void eraseShapes()

### repaint

    public void repaint()

  Repaints the graphical objects.

### reset

    public void reset()

  Resets the canvas

### addMouseListener

    public void addMouseListener(java.awt.event.MouseListener ml)

### removeMouseListener

    public void removeMouseListener(java.awt.event.MouseListener ml)

### addMouseMotionListener

    public void addMouseMotionListener(java.awt.event.MouseMotionListener ml)

### removeMouseMotionListener

    public void removeMouseMotionListener(java.awt.event.MouseMotionListener ml)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD